%global forgeurl https://github.com/realnc/SDL_audiolib

%global commit cc1bb6af8d4cf5e200259072bde1edd1c8c5137e

%forgemeta

Name:           SDL2_audiolib
Version:        0
Release:        1%{?dist}
License:        LGPL-3.0-or-later
Summary:        An audio decoding, resampling and mixing library.
URL:	        %{forgeurl}
Source:         %{forgesource}
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libADLMIDI)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libopenmpt)
BuildRequires:	pkgconfig(libxmp)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soxr)

%description
This is a small and simple to use C++ library for playing various audio
formats. It is a thin (-ish) wrapper around existing resampling (like
SRC or SoX) and decoding libraries (like libmpg123 or libvorbis.)

%package devel
Summary: SD2L_audiolib - development environment
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides the SDL_audiolib headers and development environment for SDL2.

%prep
%forgesetup

%build
%cmake -DUSE_DEC_MUSEPACK=OFF -DUSE_DEC_BASSMIDI=OFF -DUSE_DEC_WILDMIDI=OFF -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libSDL_audiolib.so.0
%{_libdir}/libSDL_audiolib.so.0.0.0

%files devel
%{_libdir}/pkgconfig/SDL_audiolib.pc
%dir %{_includedir}/SDL_audiolib
%dir %{_includedir}/SDL_audiolib/Aulib
%{_includedir}/SDL_audiolib/Aulib/*.h
%{_includedir}/SDL_audiolib/*.h
%{_libdir}/libSDL_audiolib.so

%changelog
* Tue Feb 13 2024 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20231121gitcc1bb6a
- Commit matching DevilutionX CMake file
- Change to SPDX license tag

* Fri Dec 17 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20211217git5a700ba
- Initial specfile
